Package org.eclipse.net4j.util.security

# Interface IAuthenticator

All Known Subinterfaces:
  `IAuthenticator2`

All Known Implementing Classes:
  `FileUserManager`, `UserManager`, `UserManagerAuthenticator`

public interface IAuthenticator
Authenticates users.

Since:
  3.3
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`void`
`authenticate(String userID, char[] password)`
Authenticates the user with the passed `userID` by checking whether the supplied `password` matches the password stored for this user.

## Method Details

### authenticate

void authenticate(String userID, char[] password) throws SecurityException
Authenticates the user with the passed `userID` by checking whether the supplied `password` matches the password stored for this user.

The implementation is required to throw a `SecurityException` if the passwords do not match.

Throws:
  `SecurityException`